## quackle 0.97-maemo3

=== Makefile ===
#############################################################################
# Makefile for building: libquackle.a
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Aug 22 23:41:05 2012
# Project:  quackle.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -o Makefile quackle.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/include -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/release/

####### Files

SOURCES       = bogowinplayer.cpp \
		alphabetparameters.cpp \
		bag.cpp \
		board.cpp \
		boardparameters.cpp \
		catchall.cpp \
		clock.cpp \
		computerplayer.cpp \
		computerplayercollection.cpp \
		datamanager.cpp \
		endgame.cpp \
		endgameplayer.cpp \
		enumerator.cpp \
		evaluator.cpp \
		game.cpp \
		gameparameters.cpp \
		generator.cpp \
		lexiconparameters.cpp \
		move.cpp \
		player.cpp \
		playerlist.cpp \
		preendgame.cpp \
		rack.cpp \
		reporter.cpp \
		resolvent.cpp \
		sim.cpp \
		strategyparameters.cpp 
OBJECTS       = obj/release/bogowinplayer.o \
		obj/release/alphabetparameters.o \
		obj/release/bag.o \
		obj/release/board.o \
		obj/release/boardparameters.o \
		obj/release/catchall.o \
		obj/release/clock.o \
		obj/release/computerplayer.o \
		obj/release/computerplayercollection.o \
		obj/release/datamanager.o \
		obj/release/endgame.o \
		obj/release/endgameplayer.o \
		obj/release/enumerator.o \
		obj/release/evaluator.o \
		obj/release/game.o \
		obj/release/gameparameters.o \
		obj/release/generator.o \
		obj/release/lexiconparameters.o \
		obj/release/move.o \
		obj/release/player.o \
		obj/release/playerlist.o \
		obj/release/preendgame.o \
		obj/release/rack.o \
		obj/release/reporter.o \
		obj/release/resolvent.o \
		obj/release/sim.o \
		obj/release/strategyparameters.o
DIST          = /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/static.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		quackle.pro
QMAKE_TARGET  = quackle
DESTDIR       = 
TARGET        = libquackle.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: quackle.pro  /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/static.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile quackle.pro
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/static.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile quackle.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/release/quackle0.9 || $(MKDIR) obj/release/quackle0.9 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/release/quackle0.9/ && $(COPY_FILE) --parents alphabetparameters.h bag.h board.h boardparameters.h bogowinplayer.h catchall.h clock.h computerplayer.h computerplayercollection.h datamanager.h endgame.h endgameplayer.h enumerator.h evaluator.h fixedstring.h gaddag.h game.h gameparameters.h generator.h lexiconparameters.h move.h player.h playerlist.h preendgame.h rack.h reporter.h resolvent.h sim.h strategyparameters.h uv.h obj/release/quackle0.9/ && $(COPY_FILE) --parents bogowinplayer.cpp alphabetparameters.cpp bag.cpp board.cpp boardparameters.cpp catchall.cpp clock.cpp computerplayer.cpp computerplayercollection.cpp datamanager.cpp endgame.cpp endgameplayer.cpp enumerator.cpp evaluator.cpp game.cpp gameparameters.cpp generator.cpp lexiconparameters.cpp move.cpp player.cpp playerlist.cpp preendgame.cpp rack.cpp reporter.cpp resolvent.cpp sim.cpp strategyparameters.cpp obj/release/quackle0.9/ && (cd `dirname obj/release/quackle0.9` && $(TAR) quackle0.9.tar quackle0.9 && $(COMPRESS) quackle0.9.tar) && $(MOVE) `dirname obj/release/quackle0.9`/quackle0.9.tar.gz . && $(DEL_FILE) -r obj/release/quackle0.9


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean
