=== quackleio/Makefile ===
#############################################################################
# Makefile for building: libquackleio.a
# Generated by qmake (2.01a) (Qt 4.2.1) on: Sun Jul 20 14:47:29 2008
# Project:  quackleio.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -o Makefile quackleio.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -fPIC -Wall -W -D_REENTRANT  $(DEFINES)
CXXFLAGS      = -pipe -O2 -fPIC -Wall -W -D_REENTRANT  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I. -I.. -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/release/

####### Files

SOURCES       = gcgio.cpp \
		queenie.cpp \
		streamingreporter.cpp \
		flexiblealphabet.cpp \
		util.cpp \
		froggetopt.cpp \
		dict.cpp \
		dictfactory.cpp \
		dictimplementation.cpp 
OBJECTS       = obj/release/gcgio.o \
		obj/release/queenie.o \
		obj/release/streamingreporter.o \
		obj/release/flexiblealphabet.o \
		obj/release/util.o \
		obj/release/froggetopt.o \
		obj/release/dict.o \
		obj/release/dictfactory.o \
		obj/release/dictimplementation.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		quackleio.pro
QMAKE_TARGET  = quackleio
DESTDIR       = 
TARGET        = libquackleio.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: quackleio.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix -o Makefile quackleio.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/staticlib.prf:
/usr/share/qt4/mkspecs/features/static.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile quackleio.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/release/quackleio0.9 || $(MKDIR) obj/release/quackleio0.9 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/release/quackleio0.9/ && $(COPY_FILE) --parents gcgio.h logania.h queenie.h streamingreporter.h flexiblealphabet.h util.h froggetopt.h dict.h dictfactory.h dictimplementation.h obj/release/quackleio0.9/ && $(COPY_FILE) --parents gcgio.cpp queenie.cpp streamingreporter.cpp flexiblealphabet.cpp util.cpp froggetopt.cpp dict.cpp dictfactory.cpp dictimplementation.cpp obj/release/quackleio0.9/ && (cd `dirname obj/release/quackleio0.9` && $(TAR) quackleio0.9.tar quackleio0.9 && $(COMPRESS) quackleio0.9.tar) && $(MOVE) `dirname obj/release/quackleio0.9`/quackleio0.9.tar.gz . && $(DEL_FILE) -r obj/release/quackleio0.9


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

obj/release/gcgio.o: gcgio.cpp ../datamanager.h \
		../playerlist.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../player.h \
		../rack.h \
		../game.h \
		../bag.h \
		../board.h \
		../move.h \
		gcgio.h \
		logania.h \
		util.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/gcgio.o gcgio.cpp

obj/release/queenie.o: queenie.cpp gcgio.h \
		logania.h \
		queenie.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/queenie.o queenie.cpp

obj/release/streamingreporter.o: streamingreporter.cpp ../game.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../bag.h \
		../rack.h \
		../board.h \
		../move.h \
		../player.h \
		../playerlist.h \
		streamingreporter.h \
		../reporter.h \
		util.h \
		../datamanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/streamingreporter.o streamingreporter.cpp

obj/release/flexiblealphabet.o: flexiblealphabet.cpp flexiblealphabet.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		util.h \
		../datamanager.h \
		../playerlist.h \
		../player.h \
		../rack.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/flexiblealphabet.o flexiblealphabet.cpp

obj/release/util.o: util.cpp ../move.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../rack.h \
		dict.h \
		../generator.h \
		../game.h \
		../bag.h \
		../board.h \
		../player.h \
		../playerlist.h \
		dictfactory.h \
		util.h \
		../datamanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/util.o util.cpp

obj/release/froggetopt.o: froggetopt.cpp froggetopt.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/froggetopt.o froggetopt.cpp

obj/release/dict.o: dict.cpp dict.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../generator.h \
		../game.h \
		../bag.h \
		../rack.h \
		../board.h \
		../move.h \
		../player.h \
		../playerlist.h \
		util.h \
		../datamanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/dict.o dict.cpp

obj/release/dictfactory.o: dictfactory.cpp dictfactory.h \
		dict.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../generator.h \
		../game.h \
		../bag.h \
		../rack.h \
		../board.h \
		../move.h \
		../player.h \
		../playerlist.h \
		dictimplementation.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/dictfactory.o dictfactory.cpp

obj/release/dictimplementation.o: dictimplementation.cpp ../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../datamanager.h \
		../playerlist.h \
		../player.h \
		../rack.h \
		../generator.h \
		../game.h \
		../bag.h \
		../board.h \
		../move.h \
		../lexiconparameters.h \
		../gaddag.h \
		../quackleio/util.h \
		dictimplementation.h \
		dict.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/dictimplementation.o dictimplementation.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
