=== debian/changelog ===
quackle (0.97-maemo3) unstable; urgency=low

  * Starting

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 22 Aug 2012 23:14:31 +0200
